using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Spaces;
using Spaces.Controls;
public partial class Manage_ViewSiteStatus : ManagePage
{
    protected void Page_Load(object sender, EventArgs e)
    {
 
        if (!IsPostBack)
        {
            BindSiteStatus();
        }
    }

    private void BindSiteStatus()
    {
        SiteStatus status = SiteTools.GetSiteStatus();
        this.txtBlogCategoryCount.Text = string.Format("{0}个",status.BlogCategoryCount);
        txtCommentCount.Text = string.Format("{0}篇",status.CommentCount);
        txtDirectoryCount.Text = string.Format("{0}个", status.DirectoryCount);
        txtFileCount.Text = string.Format("{0}个", status.FileCount);
        txtFileKeyCount.Text = string.Format("{0}个", status.FileKeyCount);
        txtFileSize.Text = string.Format("{0}", Utils.FormatSpaceSize(status.FileSize));
        txtLinkCount.Text = string.Format("{0}个", status.LinkCount);
        txtListCount.Text = string.Format("{0}个", status.ListCount);
        txtPostCount.Text = string.Format("{0}篇", status.PostCount);
        txtPostHitCount.Text = string.Format("{0}次", status.PostHitCount);
        txtTagCount.Text = string.Format("{0}个", status.TagCount);
        txtTagRefCount.Text = string.Format("{0}次", status.TagRefCount);
        txtUserCount.Text = string.Format("{0}个", status.UserCount);
    }
}
